Issue 1117 Whatsnew should warn on non-recorded files

Title Whatsnew should warn on non-recorded files
Priority wishlist Status resolved
Milestone Resolved in
Superseder Nosy List ckeen, darcs-devel, dmitry.kurochkin, galbolle, jaredj, kowey, thorkilnaur
Assigned To
Topics FauxBug, ProbablyEasy, UI

Created on 2008-10-02.13:06:54 by galbolle, last changed 2009-08-27.14:19:27 by admin.

msg6200 (view) Author: galbolle Date: 2008-10-02.13:06:48
When running darcs whatsnew non-existant-file, darcs should warn that the file 
does not exist/is not recorded, instead of just saying "No changes!", which is 
true, but misleading when the filename is a typo.
msg6695 (view) Author: ckeen Date: 2008-11-19.16:15:16
The following patch updated the status of issue1117 to be resolved:

* resolve issue1117: warn if file does not exist in whatsnew 
Ignore-this: 96cb2370609e7acd9d0137725f5e56b5
Date User Action Args
2008-10-02 13:06:54galbollecreate
2008-11-19 16:15:18ckeensetstatus: unread -> resolved-in-unstable
nosy: + ckeen
messages: + msg6695
2009-04-22 03:36:23twbsetstatus: resolved-in-unstable -> resolved
nosy: kowey, dagit, simon, thorkilnaur, jaredj, dmitry.kurochkin, galbolle, ckeen
2009-08-10 23:47:09adminsetnosy: - dagit
2009-08-25 17:30:01adminsetnosy: + darcs-devel, - simon
2009-08-27 14:19:27adminsetnosy: kowey, darcs-devel, thorkilnaur, jaredj, dmitry.kurochkin, galbolle, ckeen